package com.dev.swms.server.model.shipping;

import com.dev.swms.server.model.base.BoxModel;
import com.dev.energy.server.model.Entity;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

public class BOLCaseDetail extends Entity {
	private static final long serialVersionUID = 900451346697637575L;
	private BOL bol;
	//箱型
	private BoxModel boxModel;
	//发运数量
	private long shipQuantity;
	//签收数量
	private long signQuantity;
	//回收数量
	private long backQuantity;
	//收货人
	private String shipToName;
	
	public String getShipToName() {
		return shipToName;
	}
	public void setShipToName(String shipToName) {
		this.shipToName = shipToName;
	}
	public int hashCode() {
		return new HashCodeBuilder().append(bol).append(boxModel).toHashCode();
	}
	public boolean equals(final Object other) {
		if (!(other instanceof BOLCaseDetail))
			return false;
		BOLCaseDetail castOther = (BOLCaseDetail) other;
		return new EqualsBuilder().append(bol, castOther.bol).append(boxModel,
				castOther.boxModel).isEquals();
	}
	public long getBackQuantity() {
		return backQuantity;
	}
	public void setBackQuantity(long backQuantity) {
		this.backQuantity = backQuantity;
	}
	public BOL getBol() {
		return bol;
	}
	public void setBol(BOL bol) {
		this.bol = bol;
	}
	public BoxModel getBoxModel() {
		return boxModel;
	}
	public void setBoxModel(BoxModel boxModel) {
		this.boxModel = boxModel;
	}
	public long getShipQuantity() {
		return shipQuantity;
	}
	public void setShipQuantity(long shipQuantity) {
		this.shipQuantity = shipQuantity;
	}
	public long getSignQuantity() {
		return signQuantity;
	}
	public void setSignQuantity(long signQuantity) {
		this.signQuantity = signQuantity;
	}

}
